## simutrans 120.4.1

=== Makefile ===
CFG ?= default
-include config.$(CFG)

HOSTCC?=$(CC)
HOSTCXX?=$(CXX)

PROFILE ?= 0
STATIC ?= 0
AV_FOUNDATION ?= 0

ALLEGRO_CONFIG ?= allegro-config
SDL_CONFIG ?= sdl-config
SDL2_CONFIG ?= sdl2-config
FREETYPE_CONFIG ?= freetype-config

BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl mixer_sdl2 posix
COLOUR_DEPTHS = 0 16
OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd

ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
  $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
endif

ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
endif

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

ifeq ($(OSTYPE),amiga)
  STD_LIBS ?= -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
  CFLAGS += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
  LDFLAGS += -Bstatic -non_shared
else
  # BeOS (obsolete)
  ifeq ($(OSTYPE),beos)
    LIBS += -lnet
  else
    ifeq ($(OSTYPE),mingw)
      CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        CFLAGS  += -static
        LDFLAGS += -static-libgcc -static-libstdc++ -static
      endif
      LDFLAGS += -pthread -Wl,--large-address-aware
      SOURCES += simsys_w32_png.cc
      CFLAGS  += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
      LIBS    += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32
      # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
      ifdef WIN32_CONSOLE
        ifeq ($(shell expr $(WIN32_CONSOLE) \>= 1), 1)
          LDFLAGS += -mconsole
        endif
      else
        ifeq ($(BACKEND),posix)
          LDFLAGS += -mconsole
        else
          LDFLAGS += -mwindows
        endif
      endif
    else
      # Haiku (needs to activate the GCC 4x)
      ifeq ($(OSTYPE),haiku)
        LIBS += -lnetwork -lbe
      endif
    endif
  endif
endif

ifeq ($(OSTYPE),mingw)
  SOURCES += clipboard_w32.cc
else
  ifeq ($(BACKEND),SDL2)
    SOURCES += clipboard_s.cc
	else
    SOURCES += clipboard_internal.cc
	endif
endif

LIBS += -lbz2 -lz

ifdef OPTIMISE
  ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
    CFLAGS += -O3
    ifeq ($(findstring $(OSTYPE), amiga),)
      ifneq ($(findstring $(CXX), clang),)
        CFLAGS += -minline-all-stringops
      endif
    endif
  endif
else
  CFLAGS += -O
endif

ifdef DEBUG
  ifndef MSG_LEVEL
    MSG_LEVEL = 3
  endif
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
      CFLAGS += -fno-inline
    endif
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
      CFLAGS += -O0
    endif
  endif
else
  CFLAGS += -DNDEBUG
endif

ifdef MSG_LEVEL
  CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
endif

ifdef USE_FREETYPE
  ifeq ($(shell expr $(USE_FREETYPE) \>= 1), 1)
    CFLAGS  += -DUSE_FREETYPE
    ifneq ($(FREETYPE_CONFIG),)
      CFLAGS  += $(shell $(FREETYPE_CONFIG) --cflags)
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs --static)
      else
        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs)
      endif
    else
      LDFLAGS += -lfreetype
      ifeq ($(OSTYPE),mingw)
        LDFLAGS += -lpng -lharfbuzz -lgraphite2
      endif
    endif
    ifeq ($(OSTYPE),mingw)
      LDFLAGS += -lfreetype
    endif
  endif
endif

ifdef USE_UPNP
  ifeq ($(shell expr $(USE_UPNP) \>= 1), 1)
    CFLAGS  += -DUSE_UPNP
    LDFLAGS += -lminiupnpc
    ifeq ($(OSTYPE),mingw)
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        LDFLAGS += -Wl,-Bdynamic
      endif
      LDFLAGS += -liphlpapi
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        LDFLAGS += -Wl,-Bstatic
      endif
    endif
  endif
endif

ifeq ($(shell expr $(PROFILE) \>= 1), 1)
  CFLAGS  += -pg -DPROFILE
  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
    CFLAGS  += -fno-inline -fno-schedule-insns
  endif
  LDFLAGS += -pg
endif

ifdef MULTI_THREAD
  ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
    CFLAGS += -DMULTI_THREAD
    ifneq ($(OSTYPE),haiku)
      # mingw has already added pthread statically
      ifneq ($(OSTYPE),mingw)
        LDFLAGS += -lpthread
      endif
    endif
  endif
endif

ifdef WITH_REVISION
  ifeq ($(shell expr $(WITH_REVISION) \>= 1), 1)
    ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
      REV = $(WITH_REVISION)
    else
      REV = $(shell svnversion)
    endif
    ifneq ($(REV),)
      CFLAGS  += -DREVISION="$(REV)"
    endif
  endif
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
CCFLAGS  += -ansi -Wstrict-prototypes -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64


SOURCES += bauer/brueckenbauer.cc
SOURCES += bauer/fabrikbauer.cc
SOURCES += bauer/hausbauer.cc
SOURCES += bauer/tunnelbauer.cc
SOURCES += bauer/vehikelbauer.cc
SOURCES += bauer/goods_manager.cc
SOURCES += bauer/wegbauer.cc
SOURCES += descriptor/image.cc
SOURCES += descriptor/bridge_desc.cc
SOURCES += descriptor/factory_desc.cc
SOURCES += descriptor/ground_desc.cc
SOURCES += descriptor/building_desc.cc
SOURCES += descriptor/obj_base_desc.cc
SOURCES += descriptor/reader/bridge_reader.cc
SOURCES += descriptor/reader/building_reader.cc
SOURCES += descriptor/reader/citycar_reader.cc
SOURCES += descriptor/reader/crossing_reader.cc
SOURCES += descriptor/reader/factory_reader.cc
SOURCES += descriptor/reader/good_reader.cc
SOURCES += descriptor/reader/ground_reader.cc
SOURCES += descriptor/reader/groundobj_reader.cc
SOURCES += descriptor/reader/image_reader.cc
SOURCES += descriptor/reader/imagelist2d_reader.cc
SOURCES += descriptor/reader/imagelist_reader.cc
SOURCES += descriptor/reader/obj_reader.cc
SOURCES += descriptor/reader/pedestrian_reader.cc
SOURCES += descriptor/reader/roadsign_reader.cc
SOURCES += descriptor/reader/root_reader.cc
SOURCES += descriptor/reader/sim_reader.cc
SOURCES += descriptor/reader/skin_reader.cc
SOURCES += descriptor/reader/sound_reader.cc
SOURCES += descriptor/reader/text_reader.cc
SOURCES += descriptor/reader/tree_reader.cc
SOURCES += descriptor/reader/tunnel_reader.cc
SOURCES += descriptor/reader/vehicle_reader.cc
SOURCES += descriptor/reader/way_obj_reader.cc
SOURCES += descriptor/reader/way_reader.cc
SOURCES += descriptor/reader/xref_reader.cc
SOURCES += descriptor/sound_desc.cc
SOURCES += descriptor/tunnel_desc.cc
SOURCES += descriptor/vehicle_desc.cc
SOURCES += descriptor/goods_desc.cc
SOURCES += descriptor/way_desc.cc
SOURCES += boden/boden.cc
SOURCES += boden/brueckenboden.cc
SOURCES += boden/fundament.cc
SOURCES += boden/grund.cc
SOURCES += boden/monorailboden.cc
SOURCES += boden/tunnelboden.cc
SOURCES += boden/wasser.cc
SOURCES += boden/wege/kanal.cc
SOURCES += boden/wege/maglev.cc
SOURCES += boden/wege/monorail.cc
SOURCES += boden/wege/narrowgauge.cc
SOURCES += boden/wege/runway.cc
SOURCES += boden/wege/schiene.cc
SOURCES += boden/wege/strasse.cc
SOURCES += boden/wege/weg.cc
SOURCES += dataobj/crossing_logic.cc
SOURCES += dataobj/objlist.cc
SOURCES += dataobj/settings.cc
SOURCES += dataobj/freelist.cc
SOURCES += dataobj/gameinfo.cc
SOURCES += dataobj/height_map_loader.cc
SOURCES += dataobj/koord.cc
SOURCES += dataobj/koord3d.cc
SOURCES += dataobj/loadsave.cc
SOURCES += dataobj/marker.cc
SOURCES += dataobj/powernet.cc
SOURCES += dataobj/records.cc
SOURCES += dataobj/rect.cc
SOURCES += dataobj/ribi.cc
SOURCES += dataobj/route.cc
SOURCES += dataobj/scenario.cc
SOURCES += dataobj/schedule.cc
SOURCES += dataobj/tabfile.cc
SOURCES += dataobj/translator.cc
SOURCES += dataobj/environment.cc
SOURCES += obj/baum.cc
SOURCES += obj/bruecke.cc
SOURCES += obj/crossing.cc
SOURCES += obj/field.cc
SOURCES += obj/gebaeude.cc
SOURCES += obj/groundobj.cc
SOURCES += obj/label.cc
SOURCES += obj/leitung2.cc
SOURCES += obj/pillar.cc
SOURCES += obj/roadsign.cc
SOURCES += obj/signal.cc
SOURCES += obj/tunnel.cc
SOURCES += obj/wayobj.cc
SOURCES += obj/wolke.cc
SOURCES += obj/zeiger.cc
SOURCES += display/font.cc
SOURCES += display/simgraph$(COLOUR_DEPTH).cc
SOURCES += display/simview.cc
SOURCES += display/viewport.cc
SOURCES += freight_list_sorter.cc
SOURCES += gui/ai_option_t.cc
SOURCES += gui/ai_selector.cc
SOURCES += gui/banner.cc
SOURCES += gui/baum_edit.cc
SOURCES += gui/base_info.cc
SOURCES += gui/citybuilding_edit.cc
SOURCES += gui/citylist_frame_t.cc
SOURCES += gui/citylist_stats_t.cc
SOURCES += gui/climates.cc
SOURCES += gui/display_settings.cc
SOURCES += gui/components/gui_button.cc
SOURCES += gui/components/gui_chart.cc
SOURCES += gui/components/gui_combobox.cc
SOURCES += gui/components/gui_container.cc
SOURCES += gui/components/gui_convoiinfo.cc
SOURCES += gui/components/gui_obj_view_t.cc
SOURCES += gui/components/gui_fixedwidth_textarea.cc
SOURCES += gui/components/gui_flowtext.cc
SOURCES += gui/components/gui_image.cc
SOURCES += gui/components/gui_image_list.cc
SOURCES += gui/components/gui_komponente.cc
SOURCES += gui/components/gui_label.cc
SOURCES += gui/components/gui_map_preview.cc
SOURCES += gui/components/gui_numberinput.cc
SOURCES += gui/components/gui_scrollbar.cc
SOURCES += gui/components/gui_scrolled_list.cc
SOURCES += gui/components/gui_scrollpane.cc
SOURCES += gui/components/gui_speedbar.cc
SOURCES += gui/components/gui_tab_panel.cc
SOURCES += gui/components/gui_textarea.cc
SOURCES += gui/components/gui_textinput.cc
SOURCES += gui/components/gui_world_view_t.cc
SOURCES += gui/convoi_detail_t.cc
SOURCES += gui/convoi_filter_frame.cc
SOURCES += gui/convoi_frame.cc
SOURCES += gui/convoi_info_t.cc
SOURCES += gui/convoy_item.cc
SOURCES += gui/curiosity_edit.cc
SOURCES += gui/curiositylist_frame_t.cc
SOURCES += gui/curiositylist_stats_t.cc
SOURCES += gui/depot_frame.cc
SOURCES += gui/enlarge_map_frame_t.cc
SOURCES += gui/extend_edit.cc
SOURCES += gui/fabrik_info.cc
SOURCES += gui/factory_chart.cc
SOURCES += gui/factory_edit.cc
SOURCES += gui/factorylist_frame_t.cc
SOURCES += gui/factorylist_stats_t.cc
SOURCES += gui/goods_frame_t.cc
SOURCES += gui/goods_stats_t.cc
SOURCES += gui/ground_info.cc
SOURCES += gui/gui_frame.cc
SOURCES += gui/gui_theme.cc
SOURCES += gui/halt_detail.cc
SOURCES += gui/halt_info.cc
SOURCES += gui/halt_list_filter_frame.cc
SOURCES += gui/halt_list_frame.cc
SOURCES += gui/halt_list_stats.cc
SOURCES += gui/help_frame.cc
SOURCES += gui/jump_frame.cc
SOURCES += gui/karte.cc
SOURCES += gui/kennfarbe.cc
SOURCES += gui/label_info.cc
SOURCES += gui/labellist_frame_t.cc
SOURCES += gui/labellist_stats_t.cc
SOURCES += gui/line_item.cc
SOURCES += gui/line_management_gui.cc
SOURCES += gui/load_relief_frame.cc
SOURCES += gui/loadfont_frame.cc
SOURCES += gui/loadsave_frame.cc
SOURCES += gui/map_frame.cc
SOURCES += gui/message_frame_t.cc
SOURCES += gui/message_option_t.cc
SOURCES += gui/message_stats_t.cc
SOURCES += gui/messagebox.cc
SOURCES += gui/money_frame.cc
SOURCES += gui/optionen.cc
SOURCES += gui/pakselector.cc
SOURCES += gui/password_frame.cc
SOURCES += gui/player_frame_t.cc
SOURCES += gui/privatesign_info.cc
SOURCES += gui/savegame_frame.cc
SOURCES += gui/scenario_frame.cc
SOURCES += gui/scenario_info.cc
SOURCES += gui/schedule_gui.cc
SOURCES += gui/schedule_list.cc
SOURCES += gui/server_frame.cc
SOURCES += gui/settings_frame.cc
SOURCES += gui/settings_stats.cc
SOURCES += gui/signal_spacing.cc
SOURCES += gui/simwin.cc
SOURCES += gui/sound_frame.cc
SOURCES += gui/sprachen.cc
SOURCES += gui/city_info.cc
SOURCES += gui/station_building_select.cc
SOURCES += gui/themeselector.cc
SOURCES += gui/tool_selector.cc
SOURCES += gui/trafficlight_info.cc
SOURCES += gui/obj_info.cc
SOURCES += gui/welt.cc
SOURCES += network/checksum.cc
SOURCES += network/memory_rw.cc
SOURCES += network/network.cc
SOURCES += network/network_address.cc
SOURCES += network/network_cmd.cc
SOURCES += network/network_cmd_ingame.cc
SOURCES += network/network_cmd_scenario.cc
SOURCES += network/network_cmp_pakset.cc
SOURCES += network/network_file_transfer.cc

=== debian/changelog ===
simutrans (120.4.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:55 +0100

simutrans (120.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release:
    - Refresh patches:
      + debian/patches/0005-typo.patch,
        debian/patches/0100-path_for_game-data.patch,
        debian/patches/0105-revert-svn-1937.diff,
        debian/patches/0110-path_max.patch.

  * Declare compliance with Debian Policy 4.3.0 (No changes needed).

  [ Markus Koschany ]
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Feb 2019 12:54:48 +0100

simutrans (120.3-2) unstable; urgency=medium

  * debian/control:
    - Set Architecture back to any (Closes: #903462).

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 10 Jul 2018 19:42:34 +0200

=== debian/control ===
Source: simutrans
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
 Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper (>= 11),
 libbz2-dev,
 libpng-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 quilt,
 zlib1g-dev
Standards-Version: 4.3.0
Homepage: http://www.simutrans.com/
Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
Vcs-Browser: https://salsa.debian.org/games-team/simutrans

Package: simutrans
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 simutrans-pak64 (>= 120.0.1),
 simutrans-data (= ${source:Version})
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,compression=xz,repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/simutrans/simutrans-src-([\d\-]+)\.zip

## simutrans 121.0

=== Makefile ===
CFG ?= default
-include config.$(CFG)

HOSTCC  ?=$(CC)
HOSTCXX ?=$(CXX)

PROFILE       ?= 0
STATIC        ?= 0
AV_FOUNDATION ?= 0

ALLEGRO_CONFIG  ?= allegro-config
SDL_CONFIG      ?= sdl-config
SDL2_CONFIG     ?= sdl2-config
FREETYPE_CONFIG ?= freetype-config

BACKENDS      = allegro gdi sdl sdl2 mixer_sdl mixer_sdl2 posix
COLOUR_DEPTHS = 0 16
OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd

ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
  $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
endif

ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
endif

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

ifeq ($(OSTYPE),amiga)
  STD_LIBS ?= -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
  CFLAGS   += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
  LDFLAGS  += -Bstatic -non_shared
else ifeq ($(OSTYPE),beos)
  # BeOS (obsolete)
  LIBS += -lnet
else ifeq ($(OSTYPE),freebsd)
  CFLAGS  += -I/usr/local/include
else ifeq ($(OSTYPE),haiku)
  # Haiku (needs to activate the GCC 4x)
  LIBS += -lnetwork -lbe
else ifeq ($(OSTYPE),mingw)
  CFLAGS    += -DPNG_STATIC -DZLIB_STATIC
  ifeq ($(shell expr $(STATIC) \>= 1), 1)
    CFLAGS  += -static
    LDFLAGS += -static-libgcc -static-libstdc++ -static
  endif
  LDFLAGS   += -pthread -Wl,--large-address-aware
  SOURCES   += simsys_w32_png.cc
  CFLAGS    += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
  LIBS      += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32

  # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
  ifdef WIN32_CONSOLE
    ifeq ($(shell expr $(WIN32_CONSOLE) \>= 1), 1)
      LDFLAGS += -mconsole
    endif
  else ifeq ($(BACKEND),posix)
    LDFLAGS += -mconsole
  else
    LDFLAGS += -mwindows
  endif
endif

ifeq ($(BACKEND),sdl2)
  SOURCES += clipboard_s2.cc
else ifeq ($(OSTYPE),mingw)
  SOURCES += clipboard_w32.cc
else
  SOURCES += clipboard_internal.cc
endif

LIBS += -lbz2 -lz

ifdef OPTIMISE
  ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
    CFLAGS += -O3
    ifeq ($(findstring $(OSTYPE), amiga),)
      ifneq ($(findstring $(CXX), clang),)
        CFLAGS += -minline-all-stringops
      endif
    endif
  endif
else
  CFLAGS += -O
endif

ifdef DEBUG
  MSG_LEVEL ?= 3

  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
  endif

  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
      CFLAGS += -fno-inline
    endif
  endif

  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
      CFLAGS += -O0
    endif
  endif
else
  CFLAGS += -DNDEBUG
endif

ifdef MSG_LEVEL
  CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
endif

ifdef USE_FREETYPE
  ifeq ($(shell expr $(USE_FREETYPE) \>= 1), 1)
    CFLAGS   += -DUSE_FREETYPE
    ifneq ($(FREETYPE_CONFIG),)
      CFLAGS += $(shell $(FREETYPE_CONFIG) --cflags)
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        # since static is not supported by slightly old freetype versions
        FTF = $(shell $(FREETYPE_CONFIG) --libs --static)
        ifneq ($(FTF),)
          LDFLAGS += $(FTF)
        else
          LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs)
        endif
      else
        LDFLAGS   += $(shell $(FREETYPE_CONFIG) --libs)
      endif
    else
      LDFLAGS += -lfreetype
      ifeq ($(OSTYPE),mingw)
        LDFLAGS += -lpng -lharfbuzz
      endif
    endif

    ifeq ($(OSTYPE),mingw)
      LDFLAGS += -lfreetype
    endif
  endif
endif

ifdef USE_UPNP
  ifeq ($(shell expr $(USE_UPNP) \>= 1), 1)
    CFLAGS      += -DUSE_UPNP
    LDFLAGS     += -lminiupnpc
    ifeq ($(OSTYPE),mingw)
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        LDFLAGS += -Wl,-Bdynamic
      endif
      LDFLAGS   += -liphlpapi
      ifeq ($(shell expr $(STATIC) \>= 1), 1)
        LDFLAGS += -Wl,-Bstatic
      endif
    endif
  endif
endif

ifeq ($(shell expr $(PROFILE) \>= 1), 1)
  CFLAGS   += -pg -DPROFILE
  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
    CFLAGS += -fno-inline -fno-schedule-insns
  endif
  LDFLAGS  += -pg
endif

ifdef MULTI_THREAD
  ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
    CFLAGS += -DMULTI_THREAD
    ifneq ($(OSTYPE),haiku)
      # mingw has already added pthread statically
      ifneq ($(OSTYPE),mingw)
        LDFLAGS += -lpthread
      endif
    endif
  endif
endif

ifdef WITH_REVISION
  ifeq ($(shell expr $(WITH_REVISION) \>= 1), 1)
    ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
      REV = $(WITH_REVISION)
    else
      REV = $(shell svnversion)
    endif

    ifneq ($(REV),)
      CFLAGS  += -DREVISION="$(REV)"
    endif
  endif
endif

CFLAGS   += -Wall -Wextra -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
CCFLAGS  += -ansi -Wstrict-prototypes -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64


# sources (in alphabetic order)
SOURCES += bauer/brueckenbauer.cc
SOURCES += bauer/fabrikbauer.cc
SOURCES += bauer/goods_manager.cc
SOURCES += bauer/hausbauer.cc
SOURCES += bauer/tunnelbauer.cc
SOURCES += bauer/vehikelbauer.cc
SOURCES += bauer/wegbauer.cc
SOURCES += boden/boden.cc
SOURCES += boden/brueckenboden.cc
SOURCES += boden/fundament.cc
SOURCES += boden/grund.cc
SOURCES += boden/monorailboden.cc
SOURCES += boden/tunnelboden.cc
SOURCES += boden/wasser.cc
SOURCES += boden/wege/kanal.cc
SOURCES += boden/wege/maglev.cc
SOURCES += boden/wege/monorail.cc
SOURCES += boden/wege/narrowgauge.cc
SOURCES += boden/wege/runway.cc
SOURCES += boden/wege/schiene.cc
SOURCES += boden/wege/strasse.cc
SOURCES += boden/wege/weg.cc
SOURCES += dataobj/crossing_logic.cc
SOURCES += dataobj/environment.cc
SOURCES += dataobj/freelist.cc
SOURCES += dataobj/gameinfo.cc
SOURCES += dataobj/height_map_loader.cc
SOURCES += dataobj/koord.cc
SOURCES += dataobj/koord3d.cc
SOURCES += dataobj/loadsave.cc
SOURCES += dataobj/marker.cc
SOURCES += dataobj/objlist.cc
SOURCES += dataobj/powernet.cc
SOURCES += dataobj/records.cc
SOURCES += dataobj/rect.cc
SOURCES += dataobj/ribi.cc
SOURCES += dataobj/route.cc
SOURCES += dataobj/scenario.cc
SOURCES += dataobj/schedule.cc
SOURCES += dataobj/settings.cc
SOURCES += dataobj/tabfile.cc
SOURCES += dataobj/translator.cc
SOURCES += descriptor/bridge_desc.cc
SOURCES += descriptor/building_desc.cc
SOURCES += descriptor/factory_desc.cc
SOURCES += descriptor/goods_desc.cc
SOURCES += descriptor/ground_desc.cc
SOURCES += descriptor/image.cc
SOURCES += descriptor/obj_base_desc.cc
SOURCES += descriptor/reader/bridge_reader.cc
SOURCES += descriptor/reader/building_reader.cc
SOURCES += descriptor/reader/citycar_reader.cc
SOURCES += descriptor/reader/crossing_reader.cc
SOURCES += descriptor/reader/factory_reader.cc
SOURCES += descriptor/reader/good_reader.cc
SOURCES += descriptor/reader/ground_reader.cc
SOURCES += descriptor/reader/groundobj_reader.cc
SOURCES += descriptor/reader/image_reader.cc
SOURCES += descriptor/reader/imagelist2d_reader.cc
SOURCES += descriptor/reader/imagelist_reader.cc
SOURCES += descriptor/reader/obj_reader.cc
SOURCES += descriptor/reader/pedestrian_reader.cc
SOURCES += descriptor/reader/roadsign_reader.cc
SOURCES += descriptor/reader/root_reader.cc
SOURCES += descriptor/reader/sim_reader.cc
SOURCES += descriptor/reader/skin_reader.cc
SOURCES += descriptor/reader/sound_reader.cc
SOURCES += descriptor/reader/text_reader.cc
SOURCES += descriptor/reader/tree_reader.cc
SOURCES += descriptor/reader/tunnel_reader.cc
SOURCES += descriptor/reader/vehicle_reader.cc
SOURCES += descriptor/reader/way_obj_reader.cc
SOURCES += descriptor/reader/way_reader.cc
SOURCES += descriptor/reader/xref_reader.cc
SOURCES += descriptor/sound_desc.cc
SOURCES += descriptor/tunnel_desc.cc
SOURCES += descriptor/vehicle_desc.cc
SOURCES += descriptor/way_desc.cc
SOURCES += display/font.cc
SOURCES += display/simgraph$(COLOUR_DEPTH).cc
SOURCES += display/simview.cc
SOURCES += display/viewport.cc
SOURCES += finder/placefinder.cc
SOURCES += freight_list_sorter.cc
SOURCES += gui/ai_option_t.cc
SOURCES += gui/ai_selector.cc
SOURCES += gui/banner.cc
SOURCES += gui/base_info.cc
SOURCES += gui/baum_edit.cc
SOURCES += gui/city_info.cc
SOURCES += gui/citybuilding_edit.cc
SOURCES += gui/citylist_frame_t.cc
SOURCES += gui/citylist_stats_t.cc
SOURCES += gui/climates.cc
SOURCES += gui/components/gui_aligned_container.cc
SOURCES += gui/components/gui_building.cc
SOURCES += gui/components/gui_button.cc
SOURCES += gui/components/gui_button_to_chart.cc
SOURCES += gui/components/gui_chart.cc
SOURCES += gui/components/gui_colorbox.cc
SOURCES += gui/components/gui_combobox.cc
SOURCES += gui/components/gui_container.cc
SOURCES += gui/components/gui_convoiinfo.cc
SOURCES += gui/components/gui_divider.cc
SOURCES += gui/components/gui_fixedwidth_textarea.cc
SOURCES += gui/components/gui_flowtext.cc
SOURCES += gui/components/gui_image.cc
SOURCES += gui/components/gui_image_list.cc
SOURCES += gui/components/gui_component.cc
SOURCES += gui/components/gui_label.cc
SOURCES += gui/components/gui_map_preview.cc
SOURCES += gui/components/gui_numberinput.cc
SOURCES += gui/components/gui_obj_view_t.cc
SOURCES += gui/components/gui_scrollbar.cc
SOURCES += gui/components/gui_scrolled_list.cc
SOURCES += gui/components/gui_scrollpane.cc
SOURCES += gui/components/gui_speedbar.cc
SOURCES += gui/components/gui_tab_panel.cc
SOURCES += gui/components/gui_textarea.cc
SOURCES += gui/components/gui_textinput.cc
SOURCES += gui/components/gui_world_view_t.cc
SOURCES += gui/convoi_detail_t.cc
SOURCES += gui/convoi_filter_frame.cc
SOURCES += gui/convoi_frame.cc
SOURCES += gui/convoi_info_t.cc
SOURCES += gui/convoy_item.cc
SOURCES += gui/curiosity_edit.cc
SOURCES += gui/curiositylist_frame_t.cc
SOURCES += gui/curiositylist_stats_t.cc
SOURCES += gui/depot_frame.cc
SOURCES += gui/display_settings.cc
SOURCES += gui/enlarge_map_frame_t.cc
SOURCES += gui/extend_edit.cc
SOURCES += gui/fabrik_info.cc
SOURCES += gui/factory_chart.cc
SOURCES += gui/factory_edit.cc
SOURCES += gui/factorylist_frame_t.cc
SOURCES += gui/factorylist_stats_t.cc
SOURCES += gui/goods_frame_t.cc
SOURCES += gui/goods_stats_t.cc
SOURCES += gui/ground_info.cc
SOURCES += gui/gui_frame.cc
SOURCES += gui/gui_theme.cc
SOURCES += gui/halt_info.cc
SOURCES += gui/halt_list_filter_frame.cc
SOURCES += gui/halt_list_frame.cc
SOURCES += gui/halt_list_stats.cc
SOURCES += gui/headquarter_info.cc
SOURCES += gui/help_frame.cc
SOURCES += gui/jump_frame.cc
SOURCES += gui/minimap.cc
SOURCES += gui/kennfarbe.cc
SOURCES += gui/label_info.cc
SOURCES += gui/labellist_frame_t.cc
SOURCES += gui/labellist_stats_t.cc
SOURCES += gui/line_item.cc
SOURCES += gui/line_management_gui.cc
SOURCES += gui/load_relief_frame.cc
SOURCES += gui/loadfont_frame.cc
SOURCES += gui/loadsave_frame.cc
SOURCES += gui/map_frame.cc
SOURCES += gui/message_frame_t.cc
SOURCES += gui/message_option_t.cc
SOURCES += gui/message_stats_t.cc
SOURCES += gui/messagebox.cc
SOURCES += gui/money_frame.cc
SOURCES += gui/obj_info.cc
SOURCES += gui/optionen.cc
SOURCES += gui/pakselector.cc
SOURCES += gui/password_frame.cc
SOURCES += gui/player_frame_t.cc
SOURCES += gui/privatesign_info.cc
SOURCES += gui/savegame_frame.cc
SOURCES += gui/scenario_frame.cc
SOURCES += gui/scenario_info.cc
SOURCES += gui/schedule_gui.cc
SOURCES += gui/schedule_list.cc
SOURCES += gui/server_frame.cc
SOURCES += gui/settings_frame.cc
SOURCES += gui/settings_stats.cc
SOURCES += gui/signal_spacing.cc
SOURCES += gui/simwin.cc
SOURCES += gui/sound_frame.cc
SOURCES += gui/sprachen.cc
SOURCES += gui/station_building_select.cc
SOURCES += gui/themeselector.cc
SOURCES += gui/tool_selector.cc
SOURCES += gui/trafficlight_info.cc
SOURCES += gui/welt.cc
SOURCES += network/checksum.cc
SOURCES += network/memory_rw.cc
SOURCES += network/network.cc
SOURCES += network/network_address.cc
SOURCES += network/network_cmd.cc
SOURCES += network/network_cmd_ingame.cc
SOURCES += network/network_cmd_scenario.cc
SOURCES += network/network_cmp_pakset.cc
SOURCES += network/network_file_transfer.cc

=== debian/changelog ===
simutrans (121.0-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release (Closes: #906204).
    - Refresh patches.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=12).
    - remove debian/compat.
  * Switch to mixer-sdl2:
    - Update debian/control
    - Update debian/patches/0500-config.diff.
  * debian/control:
    - Change team mail address.
    - Add Rules-Requires-Root: no.
  * debian/changelog:
    - Add year 2020 to myself.
  * debian/simutrans-makeobj.install:
    - Install makeobj into /usr/games/

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 02 May 2020 22:01:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: simutrans
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <Pkg-games-devel@alioth-lists.debian.net>
 Uploaders:
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libbz2-dev,
  libpng-dev,
- libsdl1.2-dev,
- libsdl-mixer1.2-dev,
+ libsdl2-dev,
+ libsdl2-mixer-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
 Vcs-Browser: https://salsa.debian.org/games-team/simutrans

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for simutrans

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export VERBOSE  = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
export CCFLAGS  = $(CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CXXFLAGS += -D_FORTIFY_SOURCE=2 -std=gnu++11
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=makeobj

override_dh_auto_clean:
	dh_quilt_patch
	dh_auto_clean
	$(MAKE) -C makeobj clean
	$(RM) -r skin
	$(RM) -r build

override_dh_install-arch:
	dh_install
	install -m 755 sim $(CURDIR)/debian/simutrans/usr/games/simutrans

override_dh_install-indep:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs simutrans/history.txt

update-translations:
	dh_testdir
	wget --post-data "version=0&choice=all&submit=Export!" --delete-after "http://simutrans-germany.com/translator/script/main.php?page=wrap"
	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
	$(RM) language_pack-Base+texts.zip

## simutrans 122.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+#
+# This file is part of the Simutrans project under the Artistic License.
+# (see LICENSE.txt)
+#
+
 CFG ?= default
 -include config.$(CFG)
 
@@ -10,23 +15,26 @@
 
 ALLEGRO_CONFIG  ?= allegro-config
 SDL_CONFIG      ?= sdl-config
-SDL2_CONFIG     ?= sdl2-config
+SDL2_CONFIG     ?= pkg-config sdl2
+#SDL2_CONFIG     ?= sdl2-config
 FREETYPE_CONFIG ?= freetype-config
+#FREETYPE_CONFIG ?= pkg-config freetype2
 
 BACKENDS      = allegro gdi sdl sdl2 mixer_sdl mixer_sdl2 posix
-COLOUR_DEPTHS = 0 16
 OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
 endif
 
-ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
-  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
-endif
-
 ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
   $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
+endif
+
+ifeq ($(BACKEND),posix)
+  COLOUR_DEPTH = 0
+else
+  COLOUR_DEPTH = 16
 endif
 
 ifeq ($(OSTYPE),amiga)
@@ -47,9 +55,9 @@
     CFLAGS  += -static
     LDFLAGS += -static-libgcc -static-libstdc++ -static
   endif
-  LDFLAGS   += -pthread -Wl,--large-address-aware
-  SOURCES   += simsys_w32_png.cc
-  CFLAGS    += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
+  LDFLAGS   += -pthread
+  SOURCES   += sys/simsys_w32_png.cc
+  CFLAGS    += -Wno-deprecated-copy -Wno-c++11-narrowing -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
   LIBS      += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32
 
   # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
@@ -65,11 +73,11 @@
 endif
 
 ifeq ($(BACKEND),sdl2)
-  SOURCES += clipboard_s2.cc
+  SOURCES += sys/clipboard_s2.cc
 else ifeq ($(OSTYPE),mingw)
-  SOURCES += clipboard_w32.cc
+  SOURCES += sys/clipboard_w32.cc
 else
-  SOURCES += clipboard_internal.cc
+  SOURCES += sys/clipboard_internal.cc
 endif
 
 LIBS += -lbz2 -lz
@@ -77,8 +85,8 @@
 ifdef OPTIMISE
   ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
     CFLAGS += -O3
-    ifeq ($(findstring $(OSTYPE), amiga),)
-      ifneq ($(findstring $(CXX), clang),)
+    ifeq ($(findstring amiga, $(OSTYPE)),)
+      ifneq ($(findstring clang, $(CXX)),)
         CFLAGS += -minline-all-stringops
       endif
     endif
@@ -158,12 +166,25 @@
   endif
 endif
 
-ifeq ($(shell expr $(PROFILE) \>= 1), 1)
-  CFLAGS   += -pg -DPROFILE
-  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
-    CFLAGS += -fno-inline -fno-schedule-insns
-  endif
-  LDFLAGS  += -pg
+ifdef USE_ZSTD
+  ifeq ($(shell expr $(USE_ZSTD) \>= 1), 1)
+    FLAGS      += -DUSE_ZSTD
+    LDFLAGS     += -lzstd
+  endif
+endif
+
+ifdef PROFILE
+  ifeq ($(shell expr $(PROFILE) \>= 1), 1)
+    CFLAGS   += -pg -DPROFILE
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
+      CFLAGS += -fno-inline
+
+      ifeq ($(findstring clang, $(CXX)),)
+        CFLAGS += -fno-schedule-insns
+      endif
+    endif
+    LDFLAGS  += -pg
+  endif
 endif
 
 ifdef MULTI_THREAD
@@ -183,11 +204,21 @@
     ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
       REV = $(WITH_REVISION)
     else
+      $(info Query SVN revision ...)
       REV = $(shell svnversion)
+      $(info Revision is $(REV))
+    endif
+    # we can query the svn directly, should the folder is not an svn (like on github)
+    ifeq ($(REV),)
+      ifeq ($(shell expr $(WITH_REVISION) \<= 1), 1)
+        $(info Query SVN revision with SVN directly...)
+        REV = $(shell svn info --show-item revision svn://servers.simutrans.org/simutrans | sed "s/[0-9]*://" | sed "s/M.*//")
+         $(info Revision is $(REV))
+      endif
     endif
 
     ifneq ($(REV),)
-      CFLAGS  += -DREVISION="$(REV)"
+      CFLAGS  += -DREVISION=$(REV)
     endif
   endif
 endif
@@ -327,6 +358,7 @@
 SOURCES += gui/curiositylist_frame_t.cc
 SOURCES += gui/curiositylist_stats_t.cc
 SOURCES += gui/depot_frame.cc
+SOURCES += gui/depotlist_frame.cc
 SOURCES += gui/display_settings.cc
 SOURCES += gui/enlarge_map_frame_t.cc
 SOURCES += gui/extend_edit.cc
@@ -369,29 +401,3 @@
 SOURCES += gui/password_frame.cc
 SOURCES += gui/player_frame_t.cc
 SOURCES += gui/privatesign_info.cc
-SOURCES += gui/savegame_frame.cc
-SOURCES += gui/scenario_frame.cc
-SOURCES += gui/scenario_info.cc
-SOURCES += gui/schedule_gui.cc
-SOURCES += gui/schedule_list.cc
-SOURCES += gui/server_frame.cc
-SOURCES += gui/settings_frame.cc
-SOURCES += gui/settings_stats.cc
-SOURCES += gui/signal_spacing.cc
-SOURCES += gui/simwin.cc
-SOURCES += gui/sound_frame.cc
-SOURCES += gui/sprachen.cc
-SOURCES += gui/station_building_select.cc
-SOURCES += gui/themeselector.cc
-SOURCES += gui/tool_selector.cc
-SOURCES += gui/trafficlight_info.cc
-SOURCES += gui/welt.cc
-SOURCES += network/checksum.cc
-SOURCES += network/memory_rw.cc
-SOURCES += network/network.cc
-SOURCES += network/network_address.cc
-SOURCES += network/network_cmd.cc
-SOURCES += network/network_cmd_ingame.cc
-SOURCES += network/network_cmd_scenario.cc
-SOURCES += network/network_cmp_pakset.cc
-SOURCES += network/network_file_transfer.cc

=== debian/changelog ===
simutrans (122.0-1) unstable; urgency=medium

  * Team upload.

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * debian/simutrans-data.install:
    - Fix missing script directory (Closes: #992160).
  * debian/copyright:
    - Fix duplicate globbing patterns.
    - Add year 2021 to myself.
  * debian/simutrans-data.lintian-overrides:
    - Add override for package-contains-documentation-outside-usr-share-doc.
    - Refresh to new upstream release.
  * debian/rules:
    - Add iconv to convert txt into utf-8.
  * debian/control:
    - Change to debhelper-compat (=13).
  * Update debian/translations and convert into utf-8.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 16 Aug 2021 16:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libbz2-dev,
  libpng-dev,
  libsdl2-dev,
  libsdl2-mixer-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://salsa.debian.org/games-team/simutrans.git

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	install -m 755 sim $(CURDIR)/debian/simutrans/usr/games/simutrans
 
 override_dh_install-indep:
+	find simutrans/text -name "*.txt"  -exec iconv -f iso-8859-1 -t utf-8 {} -o {} \;
 	dh_install
 
 override_dh_installchangelogs:
